Search documentation of Cartouche

# Cartouche.Keys (Cartouche v0.1.3)

Copy Markdown View Source

Cartouche library to generate Ethereum key pairs.

## Summary

### Functions

generate_keypair()

Generates a new keypair as an `{eth_address, private_key}`.

## Functions

# generate_keypair()

    @spec generate_keypair() :: {<<_::160>>, <<_::256>>}

Generates a new keypair as an `{eth_address, private_key}`.

## Examples

    iex> {address, priv_key} = Cartouche.Keys.generate_keypair()
    iex> {byte_size(address), byte_size(priv_key)}
    {20, 32}